{"openapi":"3.0.4","info":{"title":"Get Virtual Documents","description":"Retrieve one or more virtual documents from a particular scope.\r\n            \r\nEach item can be identified by its time invariant structured result data identifier. For each ID, LUSID\r\nreturns the most recently matched item with respect to the provided effective datetime.\r\n            \r\nIn the request, each data item must be keyed by a unique correlation ID. This ID is ephemeral and not stored by LUSID.\r\nIt serves only to easily identify each data item in the response.\r\n            \r\nThe response returns two collections. The first contains successfully retrieved data items. The second contains those with a\r\nvalid identifier but that could not be found, or those that failed because LUSID could not construct a valid identifier from the request.\r\n            \r\nFor the IDs that failed to resolve or could not be found, a reason is provided.\r\n            \r\nIt is important to check the failed sets for any unsuccessful results.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/unitresults/virtualdocument/{scope}/$get":{"post":{"tags":["Structured Result Data"],"summary":"Get Virtual Documents","description":"Retrieve one or more virtual documents from a particular scope.\r\n            \r\nEach item can be identified by its time invariant structured result data identifier. For each ID, LUSID\r\nreturns the most recently matched item with respect to the provided effective datetime.\r\n            \r\nIn the request, each data item must be keyed by a unique correlation ID. This ID is ephemeral and not stored by LUSID.\r\nIt serves only to easily identify each data item in the response.\r\n            \r\nThe response returns two collections. The first contains successfully retrieved data items. The second contains those with a\r\nvalid identifier but that could not be found, or those that failed because LUSID could not construct a valid identifier from the request.\r\n            \r\nFor the IDs that failed to resolve or could not be found, a reason is provided.\r\n            \r\nIt is important to check the failed sets for any unsuccessful results.","operationId":"GetVirtualDocument","parameters":[{"name":"scope","in":"path","description":"The scope in which to construct the virtual documents.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the structured result data. Defaults to returning the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"requestBody":{"description":"The time invariant set of structured data identifiers to retrieve, keyed by a unique, ephemeral correlation ID.","content":{"application/json-patch+json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}},"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}},"text/json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}},"application/*+json":{"schema":{"type":"object","additionalProperties":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StructuredResultDataId"}},"example":{"SomeCorrelationId1":{"source":"MiddleOffice","code":"MyUploadedRiskResults","effectiveAt":"2018-03-05T00:00:00.0000000+00:00","resultType":"Risk"}}}},"required":true},"responses":{"200":{"description":"The successfully retrieved virtual documents along with any failures.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetVirtualDocumentResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetVirtualDocumentResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetVirtualDocumentResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}